use convelodb;

CREATE TABLE IF NOT EXISTS `rt_people` (
  `id` bigint(20) NOT NULL auto_increment,
  `firstName` varchar(255) default NULL,
  `middleName` varchar(255) default NULL,
  `lastName` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `internalLoc` varchar(255) default NULL,
  `addressLineOne` varchar(255) default NULL,
  `addressLineTwo` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `region` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `postalCode` varchar(255) default NULL,
  `fax` varchar(255) default NULL,
  `phone` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO rt_people (firstName, lastName) VALUES ('Admin','');
INSERT INTO rt_people (firstName, lastName) VALUES ('Anonymous','User');

CREATE TABLE IF NOT EXISTS `users` (
  `username` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `enabled` tinyint(1) NOT NULL default '0',
  `person` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`username`),
  UNIQUE KEY `person` (`person`),
  KEY `FK6A68E08D2E81FCA` (`person`),
  CONSTRAINT `FK6A68E08D2E81FCA` FOREIGN KEY (`person`) REFERENCES `rt_people` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO users (username, password, enabled, person) VALUES ('admin','dc94ac81aa982e5382b814d4d883bfdb2ed62ddf', 1, (select id from rt_people where firstName='Admin'));
INSERT INTO users (username, password, enabled, person) VALUES ('anonymousUser','', 1, (select id from rt_people where firstName='Anonymous'));

CREATE TABLE IF NOT EXISTS `rt_roles` (
  `id` bigint(20) NOT NULL auto_increment,
  `authority` varchar(255) default NULL,
  `name` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO rt_roles (authority, name, description) VALUES ('ROLE_USER', 'User', 'Users');
INSERT INTO rt_roles (authority, name, description) VALUES ('ROLE_ADMIN', 'Administrator', 'Administrators');
INSERT INTO rt_roles (authority, name, description) VALUES ('ROLE_ANONYMOUS', 'Anonymous', 'Anonymous');

CREATE TABLE IF NOT EXISTS `authorities` (
  `username` varchar(255) NOT NULL default '',
  `roleId` bigint(20) default NULL,
  KEY `FK2B0F1321C048041C` (`roleId`),
  KEY `FK2B0F1321E79BB036` (`username`),
  CONSTRAINT `FK2B0F1321C048041C` FOREIGN KEY (`roleId`) REFERENCES `rt_roles` (`id`),
  CONSTRAINT `FK2B0F1321E79BB036` FOREIGN KEY (`username`) REFERENCES `users` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO authorities (username, roleId) VALUES ('admin',(select id from rt_roles where authority='ROLE_USER'));
INSERT INTO authorities (username, roleId) VALUES ('admin',(select id from rt_roles where authority='ROLE_ADMIN'));
INSERT INTO authorities (username, roleId) VALUES ('anonymousUser',(select id from rt_roles where authority='ROLE_ANONYMOUS'));

commit;